> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Add email setting overrides to envelope

POST https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/email_settings
Content-Type: application/json

Adds email override settings, changing the email address to reply to an email address, name, or the BCC for email archive information, for the envelope. Note that adding email settings will only affect email communications that occur after the addition was made.

The [BCC Email address](https://support.docusign.com/s/document-item?language=en_US&bundleId=pik1583277475390&topicId=xjm1583277371373.html) feature is designed to provide a copy of all email communications for external archiving purposes.
To send a copy of the envelope to a recipient who does not need to sign, use a Carbon Copy or Certified Delivery recipient type.

**Note:** Docusign recommends that envelopes sent using the BCC for Email Archive feature, including the BCC Email Override option, include additional signer authentication options.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/envelopes/envelopeemailsettings/create

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `envelopeId` (string, required) — The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`

### Body (application/json)

This endpoint expects an emailSettings.

- `bccEmailAddresses` (list of bccEmailAddress, optional) — An array containing the email address that should receive a copy of all email communications related to an envelope for archiving purposes. Maximum Length: 100 characters. While this property is an array, note that it takes only a single email address. **Note:** Only users with the `canManageAccount` setting set to **true** can use this option. Docusign verifies that the email format is correct, but does not verify that the email address is active. You can use this for archiving purposes. However, using this property overrides the BCC for Email Archive information setting for this envelope. **Example:** if your account has BCC for Email Archive set up for the email address [archive@mycompany.com](mailto:archive@mycompany.com) and you send an envelope using the BCC Email Override to send a BCC email to [salesarchive@mycompany.com](mailto:salesarchive@mycompany.com), then a copy of the envelope is only sent to the [salesarchive@mycompany.com](mailto:salesarchive@mycompany.com) email address.
- `replyEmailAddressOverride` (string, optional) — The Reply To email address to use for email replies, instead of the one that is configured at the account level. Docusign verifies that the email address is in a correct format, but does not verify that it is active. Maximum Length: 100 characters.
- `replyEmailNameOverride` (string, optional) — The name to associate with the Reply To email address, instead of the name that is configured at the account level. Maximum Length: 100 characters.

## Response

### 201

Successful response.

- `bccEmailAddresses` (list of bccEmailAddress, optional) — An array containing the email address that should receive a copy of all email communications related to an envelope for archiving purposes. Maximum Length: 100 characters. While this property is an array, note that it takes only a single email address. **Note:** Only users with the `canManageAccount` setting set to **true** can use this option. Docusign verifies that the email format is correct, but does not verify that the email address is active. You can use this for archiving purposes. However, using this property overrides the BCC for Email Archive information setting for this envelope. **Example:** if your account has BCC for Email Archive set up for the email address [archive@mycompany.com](mailto:archive@mycompany.com) and you send an envelope using the BCC Email Override to send a BCC email to [salesarchive@mycompany.com](mailto:salesarchive@mycompany.com), then a copy of the envelope is only sent to the [salesarchive@mycompany.com](mailto:salesarchive@mycompany.com) email address.
- `replyEmailAddressOverride` (string, optional) — The Reply To email address to use for email replies, instead of the one that is configured at the account level. Docusign verifies that the email address is in a correct format, but does not verify that it is active. Maximum Length: 100 characters.
- `replyEmailNameOverride` (string, optional) — The name to associate with the Reply To email address, instead of the name that is configured at the account level. Maximum Length: 100 characters.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### bccEmailAddress

Contains information about the BCC email address.

- `bccEmailAddressId` (string, optional) — Only users with canManageAccount setting can use this option. An array of up to 5 email addresses the envelope is sent to as a BCC email. Example: If your account has BCC for Email Archive set up for the email address 'archive@mycompany.com' and you send an envelope using the BCC Email Override to send a BCC email to 'salesarchive@mycompany.com', then a copy of the envelope is only sent to the 'salesarchive@mycompany.com' email address.
- `email` (string, optional) — Specifies the BCC email address. DocuSign verifies that the email format is correct, but does not verify that the email is active.Using this overrides the BCC for Email Archive information setting for this envelope. Maximum of length: 100 characters.

## Examples

**Request**

```json
{
  "bccEmailAddresses": [
    {
      "bccEmailAddressId": "sample string 1",
      "email": "sample string 2"
    }
  ],
  "replyEmailAddressOverride": "sample string 1",
  "replyEmailNameOverride": "sample string 2"
}
```

**Response**

```json
{
  "bccEmailAddresses": [
    {
      "bccEmailAddressId": "sample string 1",
      "email": "sample string 2"
    }
  ],
  "replyEmailAddressOverride": "sample string 1",
  "replyEmailNameOverride": "sample string 2"
}
```